package com.yihu.hos.web.framework.model.standard;


public class StandardVersion {
    public final static String VersionBoundSymbol = "_";
    public final static String DataSetTable = "std_dataset";
    public final static String MetaDataTable = "std_metadata";
    public final static String DictTable = "std_dictionary";
    public final static String DictEntryTable = "std_dictionary_entry";
    public final static String CDADocumentTable = "std_cda_document";
    public final static String CDADatasetTable = "std_cda_data_set_relationship";
    public final static String StdIndexTable = "std_index";
    public final static String StdRelationTable = "std_dataset_relation";

    private ObjectVersion version;

    public StandardVersion(String version) {
        this.version = new ObjectVersion(version);
    }

    public StandardVersion() {

    }

    public static StandardVersion generateVersion() {
        ObjectVersion objectVersion = new ObjectVersion();

        return new StandardVersion(objectVersion.toString());
    }

    public String getDataSetTableName() {
        return DataSetTable + VersionBoundSymbol + version;
    }

    public String getMetaDataTableName() {
        return MetaDataTable + VersionBoundSymbol + version;
    }

    public String getDictTableName() {
        return DictTable + VersionBoundSymbol + version;
    }

    public String getDictEntryTableName() {
        return DictEntryTable + VersionBoundSymbol + version;
    }

    public String getCDATableName() {
        return CDADocumentTable + VersionBoundSymbol + version;
    }

    public String getCDADatasetTableName() {
        return CDADatasetTable + VersionBoundSymbol + version;
    }
    public String getStdIndexTableName() {
        return StdIndexTable+VersionBoundSymbol+version;
    }

    public String getStdRelationTableName() {
        return StdRelationTable +VersionBoundSymbol+version;
    }


    public String getVersion() {
        return version.toString();
    }


    public String getTableName(String dataType) {
        String tableName = null;
        switch (dataType) {
            case DataSetTable:
                tableName = DataSetTable + VersionBoundSymbol + version;
                break;
            case MetaDataTable:
                tableName =  MetaDataTable + VersionBoundSymbol + version;
                break;
            case DictTable:
                tableName = DictTable + VersionBoundSymbol + version;
                break;
            case DictEntryTable:
                tableName = DictEntryTable + VersionBoundSymbol + version;
                break;
            case CDADocumentTable:
                tableName = CDADocumentTable + VersionBoundSymbol + version;
                break;
            case CDADatasetTable:
                tableName = CDADatasetTable + VersionBoundSymbol + version;
                break;
            case StdIndexTable:
                tableName = StdIndexTable + VersionBoundSymbol + version;
                break;
            case StdRelationTable:
                tableName = StdRelationTable + VersionBoundSymbol + version;
                break;
            default:
                tableName = null;
                break;
        }
        return tableName;
    }

    public void finalize() throws Throwable {
    }

}