package com.yihu.hos.web.framework.util;

import com.yihu.hos.core.http.HTTPResponse;
import com.yihu.hos.core.http.HttpClientKit;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * MongoDB GridFS 操作类
 *
 * @author HZY
 * @vsrsion 1.0
 * Created at 2016/7/21.
 */
@Component
public class DFSUtil {
    @Value("")
    private String dfsUrl;

    /**
     * 读取文件内容
     *
     * @param fileName 文件名
     * @return
     */
    public String readFileContent(String fileName) {
        HTTPResponse httpResponse = HttpClientKit.get("dfsUrl/file" + fileName);
        if (httpResponse.getStatusCode() == 200) {
            return httpResponse.getBody();
        }

        return null;
    }

    /**
     * 上传文件至Mongodb by GridFS
     *
     * @param filePath     上传的文件路径
     * @param saveFileName 保存到mongo的文件名
     * @param params       自定义保存字段
     */
    public String uploadFile(String filePath, String saveFileName, Map<String, Object> params) {
//        HTTPResponse httpResponse = HttpClientKit.post("dfsUrl/file" + fileName);
//        if (httpResponse.getStatusCode() == 200) {
//            return httpResponse.getBody();
//        }
//
        return null;
    }
}
